Bug 953966 - autokey-gtk fails to run
Summary: autokey-gtk fails to run
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: autokey
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Raghu Udiyar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-19 17:34 UTC by Jay Guerette
Modified: 2013-09-24 23:06 UTC (History)
3 users (show)

Fixed In Version: autokey-0.90.4-3.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-24 23:06:30 UTC
Type: Bug


Attachments (Terms of Use)

Description Jay Guerette 2013-04-19 17:34:31 UTC
Description of problem:


Version-Release number of selected component (if applicable):
autokey-gtk-0.90.4-2.fc18.noarch

How reproducible:
100%

Steps to Reproduce:
1.run autokey-gtk
2.observe error message
3.sigh disappointedly
  
Actual results:
prints "gi.RepositoryError: Requiring namespace 'Gtk' version '2.0', but '3.0' is already loaded" and exits

Expected results:
runs

Additional info:

Comment 1 Jay Guerette 2013-04-19 17:39:51 UTC
Complete error output:

Traceback (most recent call last):
  File "/bin/autokey-gtk", line 20, in <module>
    from autokey.gtkapp import Application
  File "/usr/lib/python2.7/site-packages/autokey/gtkapp.py", line 31, in <module>
    from gtkui.configwindow import ConfigWindow
  File "/usr/lib/python2.7/site-packages/autokey/gtkui/configwindow.py", line 20, in <module>
    from gi.repository import Gtk, Pango, GtkSource, Gdk, Gio
  File "/usr/lib/python2.7/site-packages/gi/importer.py", line 76, in load_module
    dynamic_module._load()
  File "/usr/lib/python2.7/site-packages/gi/module.py", line 242, in _load
    version)
  File "/usr/lib/python2.7/site-packages/gi/module.py", line 97, in __init__
    repository.require(namespace, version)
gi.RepositoryError: Requiring namespace 'Gtk' version '2.0', but '3.0' is already loaded

Comment 2 Jay Guerette 2013-09-13 18:49:32 UTC
This still exists in Fedora 19: Bug 1008008

Comment 3 Jay Guerette 2013-09-16 03:44:54 UTC
On Fedora 19, I was able to resolve this by installing gtksourceview3. I no longer have a Fedora 18 install to test on, but I'm certain it's the same fix here.

Comment 4 Fedora Update System 2013-09-16 15:03:49 UTC
autokey-0.90.4-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/autokey-0.90.4-3.fc18

Comment 5 Fedora Update System 2013-09-17 00:32:52 UTC
Package autokey-0.90.4-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing autokey-0.90.4-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16929/autokey-0.90.4-3.fc18
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-09-24 23:06:30 UTC
autokey-0.90.4-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.